@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Jost&display=swap');

html {
  overflow: hidden;
  height: 100%;
}

body {
  margin: 0px;
  background-color: #191919;
  height: 100%;
  overflow: auto;
}

.hidden {
  display: none !important;
}

.opaque {
  opacity: 1.0 !important;
}

.dashboard {
  margin: 0px;
  padding: 0px;
  display: grid;
  grid-template-rows: 24px 1fr;
  font-family: 'Quicksand', sans-serif;
}

.dashboard .symbols {
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 1px;
  display: grid;

  --symbol-padding: 8px;
}

.dashboard .header {
  background-color: #cb2d60e6;
  grid-template-columns: auto auto 1fr auto;
  border-bottom: 2px solid #131313;
  box-shadow: 0px 0px 8px rgba(0,0,0,0.45);
  z-index: 1;
  position: relative;
  display: grid;
  color: #ffffff;
}

.header .accounts {
  text-align: right;
  height: 100%;
}

.header .logo {
  background-color: #131313;
  box-shadow: 1px 0px 2px rgba(0,0,0,0.55);
  color: #ffffff;
  font-family: Jost;
  padding-left: 8px;
  padding-right: 3px;
}
.header .logo::after {
  letter-spacing: 2px;
  content: "kuneho.";
  position: relative;
  top: 4px;
}

.header .account {
  display: inline-block;
  vertical-align: middle;
  background-color: #202020;
  box-sizing: border-box;
  padding-top: 4px;
  padding-bottom: 4px;
  padding-left: 4px;
  background-color: #131313;
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
  box-shadow: 0px 0px 4px rgba(0,0,0,0.75);
  transition: opacity 0.25s;
  opacity: 0.0;
  height: 100%;
  font-size: 12px;
}
.header .account .price {
  min-width: 64px;
}
.header .account > div {
  display: inline-block;
  font-weight: bold;
  margin-right: 4px;
  height: 100%;
}
.header .account > label {
  border-left: 1px solid #6f6f6f;
  padding-left: 4px;
  font-size: 10px;
  height: 100%;
}
.header .account .source {
  text-align: center;
  border-radius: 6px;
  padding-left: 4px;
  padding-right: 4px;
  font-weight: bold;
}

.header .account.alpaca .source {
  background-color: #FFD700;
  color: #000000;
}

.symbol {
  background-color: #292929;
  color: #efefef;
  position: relative;
  min-height: 200px;
  padding: var(--symbol-padding);
  transition: background-color 0.20s, opacity 0.20s;
  opacity: 0.85;
}

.symbol.updated {
  transition: background-color 0.20s, opacity 0.00s;
  opacity: 1.00;
}

.symbol:hover {
  cursor: pointer;
  opacity: 1.00;
}

.symbol.negative {
  background-color: #402929;
}
.symbol.positive {
  background-color: #294029;
}

.symbol h1, h2 {
  font-size: 42px;
  font-weight: bold;
  margin: 0px;
}
.symbol h2 {
  font-size: 12px;
  font-weight: 400;
  margin-bottom: 4px;
  opacity: 0.80;
}

.summary {
  transition: opacity 0.20s;
}
.outdated .summary {
  opacity: 0.35;
}

.sticker {
  display: inline-block;
  font-size: 12px;
  font-weight: bold;
  padding: 4px;
  text-transform: uppercase;
  position: absolute;
  bottom: var(--symbol-padding);
  right: var(--symbol-padding);
  background-color: rgba(0,0,0,0.65);
  transition: opacity 0.30s;
  border-radius: 4px;
  opacity: 0.0;
}
.sticker.show {
  opacity: 0.75;
}

.noTicker .sticker.noTicker {
  display: inline-block;
  opacity: 0.75;
}

.outdated .sticker.delayed {
  display: inline-block;  
  opacity: 0.75;
}

.summary {
  font-size: 24px;
}

.summary .position {
  display: inline-block;
  font-weight: bold;
}
.summary .position::after {
  content: '\2715';
  font-size: 14px;
  margin-bottom: 8px;
  font-weight: bold;
  padding-left: 8px;
  position: relative;
  top: -2px;
}

.symbol .price.current {
  font-size: 24px;
  font-weight: medium;
  display: inline-block;
}

.symbol .price.details {
  position: absolute;
  bottom: var(--symbol-padding);
  text-transform: uppercase;
  font-size: 12px;
  width: 80px;
}

.symbol .price.details > div {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.price.details .label {
  position: relative;
  left: 0px;
}
.price.details .price {
  font-weight: 600;
}

.dollar,
.percentage {
  display: inline-block;
  padding-top: 6px;
  font-weight: bold;
  font-size: 14px;
}

.negative .percentage,
.negative .dollar {
  color: #CC2222;
}

.positive .dollar::before {
  content: '+';
}

.positive .percentage,
.positive .dollar {
  color: #22CC22;
}

.percentage::before {
  content: '(';
}
.positive .percentage::before {
  content: '(+';
}
.percentage::after {
  content: ')';
}

.dashboard .footer {
  background-color: #131313;
  grid-template-columns: 1fr auto;
  display: grid;
  border-top: 2px solid #131313;
  box-shadow: 0px 0px 8px rgba(0,0,0,0.45);
  position: absolute;
  bottom: 0px;
  text-align: right;
  font-size: 12px;
  z-index: 1;
  width: 100vw;
  color: #ffffff;
  font-weight: bold;
}
.section.status > div {
  display: inline-block
}
.dashboard .footer .section.status .status {
  background-color: #ffffff;
  text-transform: uppercase;
  margin-left: 8px;
  color: #131313;
  padding-top: 2px;
  padding-bottom: 2px;
  padding-left: 4px;
  padding-right: 4px;
}
.dashboard .footer .section.status .disconnected {
  background-color: #880000;
  color: #ffffff;
}

@media (max-width: 800px) {
  .dashboard .symbols {
    grid-template-columns: 1fr 1fr;
  }
}

@media (max-width: 480px) {
  .dashboard .symbols {
    grid-template-columns: 1fr;
  }
}
